Erlang R14B02 compatablity fixes needed from CouchDB 1.0.3

Bug #837190 reported by Jason Gerard DeRose on 2011-08-30
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
couchdb (Ubuntu)
Undecided
Unassigned

Bug Description

Oneiric ships Erlang R14B02, and the release notes for CouchDB 1.0.3 say that three issues with Erlang R14B02 were fixed:

* Fixed compatibility issues with Erlang R14B02
* Fixed error when restarting replications in OTP R14B02
* Fixed OAuth signature computation in OTP R14B02

[Source: http://couchdb.apache.org/downloads.html]

That last issue is quite likely what's breaking OAuth signed requests from desktopcouch:

https://bugs.launchpad.net/ubuntu/+source/desktopcouch/+bug/780972

So unless we can ship 1.0.3 (if not 1.1.0) in Oneric, these fixes will have to be back ported.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: couchdb-bin 1.0.1-0ubuntu16
ProcVersionSignature: Ubuntu 3.0.0-9.14-generic 3.0.3
Uname: Linux 3.0.0-9-generic x86_64
Architecture: amd64
Date: Tue Aug 30 00:40:35 2011
EcryptfsInUse: Yes
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha amd64 (20110803.1)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: couchdb
UpgradeStatus: No upgrade log present (probably fresh install)

Jason Gerard DeRose (jderose) wrote :

On Tue, 30 Aug 2011 06:50:17 -0000, Jason Gerard DeRose <email address hidden> wrote:
> Public bug reported:
>
> Oneiric ships Erlang R14B02, and the release notes for CouchDB 1.0.3 say
> that three issues with Erlang R14B02 were fixed:
>
> * Fixed compatibility issues with Erlang R14B02
> * Fixed error when restarting replications in OTP R14B02
> * Fixed OAuth signature computation in OTP R14B02
>
> [Source: http://couchdb.apache.org/downloads.html]
>
> That last issue is quite likely what's breaking OAuth signed requests
> from desktopcouch:
>
> https://bugs.launchpad.net/ubuntu/+source/desktopcouch/+bug/780972
>
> So unless we can ship 1.0.3 (if not 1.1.0) in Oneric, these fixes will
> have to be back ported.

we're looking at getting 1.1.0 in.

Jason Gerard DeRose (jderose) wrote :

chipaca,

Awesome! Is there a PPA with 1.1.0 packages I could help test?

On Tue, 30 Aug 2011 09:16:15 -0000, Jason Gerard DeRose <email address hidden> wrote:
> chipaca,
>
> Awesome! Is there a PPA with 1.1.0 packages I could help test?

no, but you can build them using the merge proposal in the bug I duped
this one to:

  bzr branch lp:~wibblymat/ubuntu/oneiric/couchdb/update-to-1.1.0
  cd update-to-1.1.0
  dpkg-buildpackage

tadaa

Well, dpkg-buildpackage (if you don't have it, apt-get install
build-essential) might complain about missing build dependencies --
apt-get install those and you're off.

Changed in couchdb (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers